> For the complete documentation index, see [llms.txt](https://docs.hivesql.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hivesql.io/technical-informations/operations/txcustoms.md).

# TxCustoms

#### Blockchain operations

* custom\_json

#### Columns

| Name                     | Description                                                         |
| ------------------------ | ------------------------------------------------------------------- |
| tid                      | less than 32 characters long identifier                             |
| json                     | a proper utf8 / JSON string                                         |
| required\_posting\_auths | list of accounts who signed the transaction using their posting key |
| required\_auths          | list of accounts who signed the transaction using their active key  |
| required\_posting\_auth  | the first value from required\_posting\_auths                       |
| required\_auth           | the first value from required\_auths                                |

#### Description

The `custom_json` operation provides a generic way to add higher-level protocols on top of witness consensus. This operation is designed to be human-readable/developer-friendly. There is no validation for this operation other than that the required auths are valid.

`required_posting_auths` and `required_auths` are arrays. If more than one authority has been included in the operation, the `required_posting_auth` and `required_auth` columns will contain the first value from their respective arrays


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.hivesql.io/technical-informations/operations/txcustoms.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
